igeo.gui

## Class ITextureGraphicGL2

- java.lang.Object
- - igeo.gui.ITextureGraphicGL2

- All Implemented Interfaces:
    ITextureGraphicGL

      public class ITextureGraphicGL2
      extends java.lang.Object
      implements ITextureGraphicGL

  Texture graphic class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.jogamp.opengl.GL` | `gl`
    `com.jogamp.opengl.util.texture.Texture` | `texture`
    `int` | `textureID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITextureGraphicGL2(java.awt.image.BufferedImage image, com.jogamp.opengl.GL gl)` constructor with AWT buffered image
    `ITextureGraphicGL2(java.lang.String filename)` constructor with image file name
    `ITextureGraphicGL2(java.lang.String filename, com.jogamp.opengl.GL gl)` constructor with image file name

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `destroy(com.jogamp.opengl.GL gl)`
    `static com.jogamp.opengl.util.texture.Texture` | `getTexture(java.awt.image.BufferedImage image, com.jogamp.opengl.GL gl)`
    `static com.jogamp.opengl.util.texture.Texture` | `getTexture(java.lang.String imageFilename)`
    `int` | `height()`
    `int` | `id()`
    `void` | `init(java.awt.image.BufferedImage image, com.jogamp.opengl.GL gl)`
    `void` | `init(java.lang.String filename, com.jogamp.opengl.GL gl)`
    `int` | `width()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### texture

          public com.jogamp.opengl.util.texture.Texture texture

    - #### textureID

          public int textureID

    - #### gl

          public com.jogamp.opengl.GL gl

  - ### Constructor Detail

    - #### ITextureGraphicGL2

          public ITextureGraphicGL2(java.lang.String filename)

      constructor with image file name

    - #### ITextureGraphicGL2

          public ITextureGraphicGL2(java.lang.String filename,
                                    com.jogamp.opengl.GL gl)

      constructor with image file name

    - #### ITextureGraphicGL2

          public ITextureGraphicGL2(java.awt.image.BufferedImage image,
                                    com.jogamp.opengl.GL gl)

      constructor with AWT buffered image

  - ### Method Detail

    - #### init

          public void init(java.lang.String filename,
                           com.jogamp.opengl.GL gl)

      Specified by:
        `init` in interface `ITextureGraphicGL`

    - #### init

          public void init(java.awt.image.BufferedImage image,
                           com.jogamp.opengl.GL gl)

      Specified by:
        `init` in interface `ITextureGraphicGL`

    - #### id

          public int id()

      Specified by:
        `id` in interface `ITextureGraphicGL`

    - #### getTexture

          public static com.jogamp.opengl.util.texture.Texture getTexture(java.awt.image.BufferedImage image,
                                                                          com.jogamp.opengl.GL gl)

    - #### getTexture

          public static com.jogamp.opengl.util.texture.Texture getTexture(java.lang.String imageFilename)

    - #### width

          public int width()

      Specified by:
        `width` in interface `ITextureGraphicGL`

    - #### height

          public int height()

      Specified by:
        `height` in interface `ITextureGraphicGL`

    - #### destroy

          public void destroy(com.jogamp.opengl.GL gl)

      Specified by:
        `destroy` in interface `ITextureGraphicGL`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `ITextureGraphicGL`